# Connection class

inherited from: | Object
protocols: | AutoRelease
package: | core
declared in: | core/interface/Connection.tcl
implemented in: | core/implementation/Connection.tcl

- instance variables
  - encrypted
  - host
  - port
  - socket
- instance selectors
  - close
  - disableEncryption
  - enableEncryption
  - host
  - host:
  - isAlive
  - isEncrypted
  - open
  - port
  - port:
  - receive
  - remoteInvocation:
  - send:
  - socket